Package: groovy.swing.factory

## [Groovy] Class ColumnFactory

- groovy.swing.factory.ColumnFactory

- Authors:
    Alexander Klein
    Hamlet D'Arcy

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
    `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, onFactoryRegistration, setChild, isLeaf, setParent, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)